<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission
        android:name="android.permission.MANAGE_EXTERNAL_STORAGE"
        tools:ignore="ScopedStorage" />

    <!-- https://developer.android.com/about/versions/14/changes/partial-photo-video-access?hl=zh-cn -->
    <uses-permission android:name="android.permission.READ_MEDIA_VISUAL_USER_SELECTED" />
    <uses-permission
        android:name="android.permission.READ_MEDIA_IMAGES"
        tools:ignore="SelectedPhotoAccess" />
    <uses-permission
        android:name="android.permission.READ_MEDIA_VIDEO"
        tools:ignore="SelectedPhotoAccess" />

    <application
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:requestLegacyExternalStorage="true"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.HFileManagerMaster"
        tools:targetApi="31">
        <activity
            android:name="com.zxhy.hfilemanagermaster.image.ImageShowActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name="com.zxhy.hfilemanagermaster.filebrowse.FileBrowseActivity"
            android:exported="false" />
        <activity
            android:name="com.zxhy.hfilemanagermaster.internalstorage.InternalStorageActivity"
            android:exported="false" />
        <activity
            android:name="com.zxhy.hfilemanagermaster.video.VideoActivity"
            android:exported="false" />
        <activity
            android:name="com.zxhy.hfilemanagermaster.image.ImageActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name="com.zxhy.hfilemanagermaster.duplicate.DupPictureActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name="com.zxhy.hfilemanagermaster.emptyfile.EmptyFileActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name="com.zxhy.hfilemanagermaster.largefile.LargeFileActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name="com.zxhy.hfilemanagermaster.ToolsActivity"
            android:exported="false"
            android:launchMode="singleTop" />
        <activity
            android:name="com.zxhy.hfilemanagermaster.OverviewActivity"
            android:exported="true"
            android:launchMode="singleTop" />

        <activity
            android:name="com.zxhy.hfilemanagermaster.HLaunchActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".MainActivity"
            android:exported="true">

            <!-- <intent-filter> -->
            <!-- <action android:name="android.intent.action.MAIN" /> -->


            <!-- <category android:name="android.intent.category.LAUNCHER" /> -->
            <!-- </intent-filter> -->
        </activity>

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.fileProvider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>
    </application>

</manifest>